Description

| would love to see this build into Servoy: http://samuelsjoberg.com/archive/2009/10/multiline-labels-in-swing , important for sexy

apps
| filed a feature request in Servoy support system, but Johan answered this:

Status: new
Resolution:
- - - wo mei 04, 2011 16:51 / Johan Compagner - - - - - - - -------

you could already do this by using a small plugin that takes the source code provided by the link
and has 1 method

attachMultiLineLaf(object)
Then you can call that for your labels that you want to have that kind of behavior.

Problem is that this is just a look and feel class that kind of belongs to a bigger look and feel
So don't see how we just can set or use that for all labels.

---End---

I'm not capable of building a plugin, anyone interested in building one? is it much work?? Would like to discuss with someone, with
Java knowlegde, what the possibilities are!

History

#1 - 05/10/2011 10:04 PM - Patrick Talbot

Harjo, what is important for you?
The multiline support or the drop shadow - or both?

As Johan commented, it is implemented as a look & feel, so it might not play well with the user's preferred look & feel, or even a standard java L&F.
Let me know more and | could have a look at what can be done.

#2 - 05/10/2011 10:16 PM - Harjo Kompagnie

The dropshadow for labels, We are doing that now, by duplicating EVERY label we want this on, with different color & offset.
The multiline, is a class, so the shadow also works on multiline labels.

Preferable, it would be nice, to set somehow, the background color (for white labels, a black/dark shadow, for black labels, a white/light shadow)
And setting this PER label, or label class

The ultimate, would be that we could set this inside a Servoy CSS class,

The REAL ultimate would be, that if we used it in webclient, a dropshadow in CSS3 will be injected.. :-)
But for now, smart-client would be nice.. :-)

#3 - 05/11/2011 07:19 AM - Patrick Talbot

Not sure what you mean by 'multiline is a class'? Do you mean you are using HTML in the label?

| will have a better look at this, see if | can somehow 'decorate’ the labels (I mean it in the sense of the standard java Decorator pattern), and give you

05/21/2024 1/2



http://samuelsjoberg.com/archive/2009/10/multiline-labels-in-swing

the options you need...

There are APl in Servoy 6 to access the CSS style sheet and parse it, and get the class assigned to an element, so this can help as well. Would
Servoy 6 be a suitable target for this or do you need it in earlier versions?

For Web client, this is another matter, and | will keep the focus on Smart for now on my evaluation.
#4 - 05/11/2011 08:19 AM - Harjo Kompagnie

Yes, sometimes, we use html inside labels (not much)
Servoy 6 is fine!

#5 - 05/11/2011 02:16 PM - Patrick Talbot

OK, will have a look at how doable that is and let you know how much time it could take.

#6 - 08/19/2011 08:46 AM - Robert Ivens

- Status changed from New to Closed

Is a seperate project now. This ticket will now be closed.
